Bug 491102 - Crash at krb5-auth-dialog.c:874
Crash at krb5-auth-dialog.c:874
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: krb5-auth-dialog (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 09:34 EDT by Michal Nowak
Modified: 2013-03-07 21:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-13 18:51:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-03-19 09:34:43 EDT
Description of problem:

Core was generated by `krb5-auth-dialog'.
Program terminated with signal 6, Aborted.
#0  0x0000003d61033275 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
#0  0x0000003d61033275 in *__GI_raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x0000003d61034aea in *__GI_abort () at abort.c:88
#2  0x0000003b6aa5e23f in IA__g_assertion_message (
    domain=<value optimized out>, file=0x40f591 "krb5-auth-dbus.c", 
    line=<value optimized out>, func=0x40f600 "ka_dbus_connect", 
    message=0x3b6aa926c2 "code should not be reached") at gtestutils.c:1301
#3  0x0000000000408824 in ka_dbus_connect (status=0x7fff85e0b2bc)
    at krb5-auth-dbus.c:74
#4  0x0000000000407682 in main (argc=1, argv=0x7fff85e0b3b8)
    at krb5-auth-dialog.c:874


But I can see the app running

newman    5128  0.0  0.6 328784 13560 ?        SLsl 13:51   0:00 krb5-auth-dialog

Time of crash 14.23 today, but the app seems to be running since 13:51, dunno how to explain it, when I logged in XFce 4.6.


Version-Release number of selected component (if applicable):

krb5-auth-dialog-0.8-3.fc11.x86_64

I don't think I did anything with Kerberos at the moment of crash.
Comment 1 Bug Zapper 2009-06-09 08:24:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matěj Cepl 2009-06-13 01:54:21 EDT
New upgrade of krb5-auth-dialog was provided as https://admin.fedoraproject.org/updates/krb5-auth-dialog-0.10-1.fc11, which may affect this bug.

Please retest and let us know, whether you can still reproduce this bug.
Comment 3 Michal Nowak 2009-06-13 18:51:05 EDT
I am using krb5-auth-dialog frequently and have never seen it for second time (with krb5-auth-dialog-0.8-4.fc11) and since this update might, or might not, fix this crash it I am closing it accordingly. Thanks for the version bump anyway.

Note You need to log in before you can comment on or make changes to this bug.